import { defineConfig } from 'vite';
import laravel from 'laravel-vite-plugin';
import path from 'path';
import fs from 'fs';

export default defineConfig({
    plugins: [
        laravel({
            input: [
                'resources/css/app.css',
                'resources/js/app.js',
            ],
            refresh: true,
        }),
    ],
    build: {
        outDir: path.resolve(__dirname, '../demo-website/public/build/'), // Folosește path pentru a rezolva calea
        assetsDir: 'assets', // Directorul pentru fișierele statice
    },
    server: {
        https: {
          key: fs.readFileSync(path.resolve(__dirname, 'storage/ssl/privkey1.pem')),
          cert: fs.readFileSync(path.resolve(__dirname, 'storage/ssl/fullchain1.pem')),
        },
        host: '0.0.0.0', // Expune pe toate interfețele de rețea
        port: 5173, // Portul pe care Vite va rula
        hmr: {
          host: 'demo-laravel.devserver.ro', 
        },
        cors: true, // Permite cereri CORS din orice origine
      },
    
});
